#
# spec file for package perl-Selenium-Remote-Driver
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Selenium-Remote-Driver
Version:        0.24
Release:        3.5
%define cpan_name Selenium-Remote-Driver
Summary:        Perl Client for Selenium Remote Driver
License:        Apache-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Selenium-Remote-Driver/
Source:         http://www.cpan.org/authors/id/G/GE/GEMPESAW/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Extract)
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(HTTP::Headers)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(IO::Compress::Zip)
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Moo) >= 1.005
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(Sub::Install)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::LWP::UserAgent)
BuildRequires:  perl(Test::LongString)
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Time::Mock)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(namespace::clean)
Requires:       perl(Archive::Extract)
Requires:       perl(Archive::Zip)
Requires:       perl(HTTP::Headers)
Requires:       perl(HTTP::Request)
Requires:       perl(HTTP::Response)
Requires:       perl(IO::Compress::Zip)
Requires:       perl(JSON)
Requires:       perl(LWP::UserAgent)
Requires:       perl(List::MoreUtils)
Requires:       perl(Moo) >= 1.005
Requires:       perl(Moo::Role)
Requires:       perl(Sub::Install)
Requires:       perl(Test::LongString)
Requires:       perl(Try::Tiny)
Requires:       perl(namespace::clean)
%{perl_requires}

%description
Selenium is a test tool that allows you to write automated web application
UI tests in any programming language against any HTTP website using any
mainstream JavaScript-enabled browser. This module is an implementation of
the client for the Remote driver that Selenium provides. You can find
bindings for other languages at this location:

the http://code.google.com/p/selenium/ manpage

This module sends commands directly to the Server using HTTP. Using this
module together with the Selenium Server, you can automatically control any
supported browser. To use this module, you need to have already downloaded
and started the Selenium Server (Selenium Server is a Java application).

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes cpanfile ide-plugin.js README.md TAGS weaver.ini

%changelog
* Wed Apr  8 2015 lnussel@suse.de
- updated to 0.24
  * #182 Non-crashing warn-instead-of-die parameter finders: find_element_by_class, etc
  * #183 Convenience packages for starting up browsers: Selenium::Chrome, Selenium::Firefox, etc
  * Provide wait_until utility functionality in Selenium::Waiter
  * #184 Fix bug about reverting default finder in T:S:R:D
* Fri Feb 13 2015 coolo@suse.com
- initial package 0.23
  * created by cpanspec 1.78.08
